#
# spec file for elx-be2net kernel module package 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#
# needssslcertforbuild

Name:          elx-be2net
Version:       10.2.469.0
Release:       2.1
Group:         System/Kernel
URL:           http://www.emulex.com
License:       GPL-2.0
Source:        be2net-%{version}.tar.bz2
Buildroot:     %{_tmppath}/%{name}-%{version}
Summary:       Emulex OneConnect NIC Driver
BuildRequires: %kernel_module_package_buildreqs

%kernel_module_package

%description
This package contains the Linux driver for the 10Gb NIC function of Emulex OneConnect

%package KMP
Summary: 10Gb NIC driver for Emulex OneConnect
Group: System/kernel

%description KMP
This package contains the Linux driver for the 10Gb NIC function of Emulex OneConnect

%prep
%setup -n be2net-%{version}
set -- *
mkdir source
mv "$@" source/
touch source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        export SRC=$PWD/obj/$flavor
        make -C %{kernel_source $flavor} KSRC=/usr/src/linux modules M=$PWD/obj/$flavor CONFIG_BE2NET=m
	    strip -g $PWD/obj/$flavor/be2net.ko
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{kernel_module_package_moddir %name}

for flavor in %flavors_to_build; do
    make  -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor CONFIG_BE2NET=m
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done


%clean
rm -rf %{buildroot}

%changelog
* Sat Nov 15 2014 sbahling@suse.com
- Initial package be2net version 10.2.469.0 (bnc#904989)
